services:  
  mediawiki:
    image: mediawiki
    restart: always
    ports:
      - 8080:80
    volumes:
      - ./volumes/mediawiki:/var/www/html/images
  postgres:
    image: postgres:12.20-alpine3.20
    restart: always
    environment:
      POSTGRES_USER: postgres
      POSTGRES_PASSWORD: example
    ports:
      - 5432:5432
    volumes:
      - ./volumes/database:/var/lib/mysql
  git:
    image: gitea/gitea:1.22.2
    container_name: gitea
    environment:
      - USER_UID=1000
      - USER_GID=1000
    restart: always
    volumes:
      - ./volumes/gitea:/data
      - ./volumes/timezone:/etc/timezone:ro
      - ./volumes/localtime:/etc/localtime:ro
    ports:
      - "3000:3000"
      - "222:22"

